%define ver    1.0
%define rel 3mdk
%define _prefix /usr

Summary: Catalan files for ispell
Name: ispell-ca
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: http://www-lsi.upc.es/~valiente/ispellcat.tar.bz2
URL: http://www-lsi.upc.es/~valiente/tug-catalan.html
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-ca
Obsoletes: ispell-catalan
Obsoletes: icatalan
Provides: ispell-dictionary

%description
ispell-ca has the spelling data for Catalan which is used by
the ispell program. With this extension, you can compose a document
in Catalan and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -q -c

%build

buildhash catala.munchlist catala.aff catala.hash

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make symlinks for compatibility with LaTeX babel 
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln -s catala.aff catalan.aff ; ln -s catala.hash catalan.hash 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc LLEGEIX*
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk 
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

